<!--
convert the wikia XML dump to a text file with dashed lines between sections.
usage: xsltproc wikia2txt - < gamergate_pages_full.xml > out.txt
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:mal="http://projectmallard.org/1.0/"
                xmlns="http://www.w3.org/1999/xhtml"
		version="1.0">

<xsl:output method="text" />

<xsl:template match="title">
	<xsl:choose>
		<!-- Manually change some titles -->
		<xsl:when test="text() = 'V'">/v/</xsl:when>
		<xsl:when test="text() = 'A girl irl'">a_girl_irl</xsl:when>
		<xsl:otherwise><xsl:value-of select="text()"/></xsl:otherwise>
	</xsl:choose> 
<xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="revision">
	<!-- DEBUG: <xsl:value-of select="id" /> --> 
	<xsl:value-of select="text"/>
</xsl:template>

<xsl:template match="page">
	<!-- Raw text for dashbreak format -->
<xsl:text>
----------
</xsl:text>
	<xsl:apply-templates select="title" />

	<!-- Note: XSLT indices count from one. -->
	<xsl:apply-templates select="revision[1]" />

</xsl:template>

<xsl:template match="mediawiki">
	<xsl:apply-templates select="page[not(redirect)]
		[not(contains(title, 'Message Wall'))]
		[not(contains(title, 'User:'))]
		[not(contains(title, 'Talk:'))]
		[not(contains(title, 'Thread:'))]
		[not(contains(title, 'File:'))]
		[not(contains(title, 'Category:'))]
		" />
</xsl:template>

<xsl:template match="*">
	<xsl:apply-templates select="//mediawiki" />
</xsl:template>

</xsl:stylesheet>
